Loading...
Searching...
No Matches
Opm::EclIO::RestartFileView::Implementation Class Reference

## Public Member Functions

| Implementation (std::shared_ptr< ERst > restart_file, const int report_step)
| Implementation (const Implementation &rhs)=delete
| Implementation (Implementation &&rhs)
Implementation & | operator= (const Implementation &rhs)=delete
Implementation & | operator= (Implementation &&rhs)
std::size_t | simStep () const
int | reportStep () const
int | occurrenceCount (const std::string &vector) const
template<typename ElmType>
bool | hasKeyword (const std::string &vector) const
template<typename ElmType>
const std::vector< ElmType > & | getKeyword (const std::string &vector, const int occurrence)
const std::vector< int > & | intehead ()
const std::vector< bool > & | logihead ()
const std::vector< double > & | doubhead ()
bool | valid () const

The documentation for this class was generated from the following file:

- opm/io/eclipse/RestartFileView.cpp